Owner interjection
POST
/api/v1/warroom/{session_id}/interject
const url = 'https://api.ultimateteam.ai/api/v1/warroom/example/interject';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/warroom/example/interject \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "message": "example" }'Inject a message from the owner into the ongoing discussion.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”session_id
required
Session Id
War room session ID
string
War room session ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
InterjectRequest
Request body for owner interjection.
Attributes: message: The owner’s message to inject into the discussion.
object
message
required
Message
Owner message text
string
Examplegenerated
{ "message": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
InterjectResponse
Response envelope for POST /warroom/{session_id}/interject.
Attributes: data: Acknowledgement payload.
object
data
required
InterjectResponseData
Data payload for interject response.
Attributes: acknowledged: Always True when successful.
object
acknowledged
Acknowledged
boolean
Example
{ "data": { "acknowledged": true }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}